# Weedheim

*Grow your own weed farm! Roll doobies, craft a bong or make Fly agaric wine for special buffs!, craft yourself a new outfit, and more!*

![Main](https://i.imgur.com/rHjerIR.jpg)

## Features

### Growable Cannabis Plants:

  * Purple Kush
  * Strawberry Cough
  * Honney Badger
  * Blueberry Punch  
  * Planting table workbench for crafting the different strains.  
  * Plants have also been added to the custom vegetation so they can bee found all around the world!

### Craftable Doobies and Bong:

  * 4 craftable doobies and a bong with status effects.
  
  * Stoners table workbench for crafting.

### Craftable Fly Agaric Wine and Mushroom Brew:

  * A craftable wine and brew with status effects. Made with mushrooms that have been added to custom vegitation.

### Craftable Hats & Clothing:

  * 6 craftable hats.
  * 4 craftable outfits.
  * Loom workbench + Dye station extension for crafting cloth items.
  
### Magic Wand Build Table:

  * A craftable magic wand to build pieces with!
  
### Decoration Pieces:

<details><summary><strong> Click to show/hide</strong></summary>
<br>
  * Purple Kush weed bundle and sack<br>
  * Strawberry Cough weed bundle and sack<br>
  * Honney Badger weed bundle and sack<br>
  * Blueberry Punch weed bundle and sack<br>
  * 5 x Banners<br>
  * 5 x Tapestries<br>
  * 5 x Rugs<br>
  * Mighty Bong<br>
  * Buddha Statue<br>
  * Elephant Statue<br>
  * Large Gong<br>
  * Male Wood Carving<br>
  * Female Wood Carving<br>
  * Crystal Rasta Lights<br>
  * Small Tent<br>
  * Large Tent<br>
  * Sleeping Bag<br>
  * Camfire Cover<br>
  * Snake Head Hookah
</details>
  
### Building Pieces:

<details><summary><strong> Click to show/hide</strong></summary>
<br>
  * hemp_block_1x1<br>
  * hemp_block_2x1<br>
  * hemp_block_4x2<br>
  * hemp_block_4x4<br>
  * hemp_block_arch<br>
  * hemp_block_floor_4x4<br>
  * hemp_block_floor_1x1<br>
  * hemp_block_floor_2x2<br>
  * hemp_block_pillar<br>
  * hemp_block_stair<br>
  * hemp_block_stair_inner<br>
  * hemp_block_stair_outer<br>
  * hemp_block_triangular_1x1<br>
  * hemp_block_triangular_2x1<br>
  * hideen_door_2x2<br>
  * hideen_door_2x3<br>
  * hideen_door_4x2<br>
  * hemp_roof_26<br>
  * hemp_roof_26_left<br>
  * hemp_roof_26_right<br>
  * hemp_roof_45<br>
  * hemp_roof_45_left<br>
  * hemp_roof_45_right<br>
  * hemp_roof_icorner_26<br>
  * hemp_roof_icorner_45<br>
  * hemp_roof_ocorner_26<br>
  * hemp_roof_ocorner_45<br>
  * hemp_roof_top_26<br>
  * hemp_roof_top_45
</details>
  
### Custom Trader:
  * Loki the dealer - Haldors & Hildirs distant cousin!
  * Buy seeds, spliffs and mushrooms from him
  * Spawns in Meadows and Black Forest biomes
  
### Craftable Hemp Armor Set:
  * Hemp Chest Armor
  * Hemp Leg Armor
  * Hemp Leaf Cape
  * Hemp Crown
  
Hemp Armor is a cross between Troll and Carapace armor! Full set will give Freefall and Sneak Bonuses. 
  
  
## Configuration:

Configuration options can be modified in-game (using Configuration Manager plugin).

![Configuration](https://i.imgur.com/jSXQYf8.jpg)


## Installation:

### Manual

  * Un-zip the `Weedheim` folder to your `/BepInEx/plugins/` folder.

### r2modman (manual)

  * Go to Settings > Import local mod > Select `Weedheim_v*.*.*.zip`.
  * Click "OK/Import local mod" on the pop-up for information.
  
### Notes
	* Plants will not spawn in already visited locations. You can use <a href="https://www.nexusmods.com/valheim/mods/1485">Upgrade World</a> plugin to reset vegetation.
	* Loki will not spawn in already visited locations. You can use <a href="https://www.nexusmods.com/valheim/mods/1485">Upgrade World</a> plugin to reset locations.
	* Comments/suggestions reach me on Nexus (Link at top right of this page).
  
### All My Plugins:

  * <a href="https://www.nexusmods.com/valheim/mods/2492">Weedheim</a>
  * <a href="https://www.nexusmods.com/valheim/mods/2581">My Dirty Hoe</a>
  * <a href="https://www.nexusmods.com/valheim/mods/2565">Graveyard Pieces</a>
   
## Credits:   

* OdinPlus team for help with code.
* JVL team for help with code.


<details><summary><strong>Change Log</strong></summary>
<br>   
<table>
<thead>
  <tr>
    <th>Version</th>
    <th>Changes</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td>1.3.1</td>
    <td>
		Fixed bong placement issues.
    </td>
  </tr>
  <tr>
    <td>1.3.0</td>
    <td>
		Added cooldown setting for spliff & mushroom status effect.<br>
		Removed bong item as it is to easy to exploit (uses no fuel).<br>
		Made bong piece usable. (like the Hookah).<br>
		Added tinctures for health, stamina & eitr.
    </td>
  </tr>
  <tr>
    <td>1.2.9</td>
    <td>
		Update for Valheim 0.217.29.
    </td>
  </tr>
  <tr>
    <td>1.2.8</td>
    <td>
		Mushrooms/Plants can now be removed with the Magic Wand (middle mouse button).
    </td>
  </tr>
  <tr>
    <td>1.2.7</td>
    <td>
		Fixed armor set status effect.<br>
		Added drops for destroyed plants/mushrooms.
    </td>
  </tr>
  <tr>
    <td>1.2.6</td>
    <td>
		Updated Jotunn and BepInEx<br>
		Added Hempcrete Stair Pieces.<br>
		Added Hempcrete Hidden Doors.<br>
		Updated some textures.
    </td>
  </tr>
  <tr>
    <td>1.2.5</td>
    <td>
		Added Hempcrete Blocks. (Needs Sap to craft!)<br>
		Added Hemp Roofing.<br>
		Logo should now work correctly with mod managers.
    </td>
  </tr>
  <tr>
    <td>1.2.4</td>
    <td>
		Moved Weedheim logo to config folder to be compatible with mod managers.
    </td>
  </tr>
  <tr>
    <td>1.2.3</td>
    <td>
		Cleaned up code.<br>
		Added recipes to Thunderstore page. Can't add tables with Nexus BBCode :(<br>
    </td>
  </tr>
  <tr>
    <td>1.2.2</td>
    <td>
		Fixed weed bundles/sacks not being destructable.<br>
		Status effect options now apply without log out.<br>
    </td>
  </tr>
  <tr>
    <td>1.2.1</td>
    <td>
		Fixed config options, again!<br>
		Fixed icons for Hemp armor.<br>
    </td>
  </tr>
  <tr>
    <td>1.2.0</td>
    <td>
		Added Hemp Armor set. A cross between Troll and Carapace armor!<br>
		Added Trippy camera effect for mushroom status effect.<br>
		Added more config options for status effects.<br>
    </td>
  </tr>
  <tr>
    <td>1.1.9</td>
    <td>
		Fixed health/stamina regen config values.<br>
		Added Snake Head Hookah! (WIP). Requires Silver to craft.
    </td>
  </tr>
  <tr>
    <td>1.1.8</td>
    <td>
		Updated Status Effect config changes to take effect without log out. If you have a status effect equiped the changes will not take effect until it has finished.
    </td>
  </tr>
  <tr>
    <td>1.1.7</td>
    <td>
		Fixed Status Effect config issue<br>
		Added Campfire Cover (useful for when it's raining!)
    </td>
  </tr>
  <tr>
    <td>1.1.6</td>
    <td>
		Fixed no damage while using mushrooms
    </td>
  </tr>
  <tr>
    <td>1.1.5</td>
    <td>
		Added config option for grow timers<br>
		Plants/Mushrooms can now be destroyed
    </td>
  </tr>
  <tr>
    <td>1.1.4</td>
    <td>
        Fixed hemp rope missing collider<br>	
		Removed Iron from crafting station recipes
    </td>
  </tr>
  <tr>
    <td>1.1.3</td>
    <td>
        Changed recipe for the Magic Wand. It can now be crafted with 1 x wood + 1 x greydwarf eye<br>
        Added plantable Flyagaric and Liberty Cap mushrooms<br>  
		Fixed cultivated ground setting not taking effect<br>	
		Removed Hemp Spinning Wheel and added the conversion to the vanilla spinning wheel for compatibility with other plugins
    </td>
  </tr>
  <tr>
    <td>1.1.2</td>
    <td>
        Fixed missing textures/meshes for large tent<br>
        Fixed sleeping bag spawn point       
    </td>
  </tr>
  <tr>
    <td>1.1.1</td>
    <td>
		Added Hemp Cloth<br>
        Added Hemp Rope<br>
        Added Campsite Tents + Sleeping Bag<br>
        Added config options for Campsite<br>
        Added config options for Plant/Mushroom spawning<br>
        Added config options for Bud/Leaf drops        
    </td>
  </tr>
  <tr>
    <td>1.1.0</td>
    <td>Update for Valheim 0.217.22 and BepInEx to 5.4.22</td>
  </tr>
  <tr>
    <td>1.0.9</td>
    <td>
        Added 2 More Banners<br>
        Added 2 More Tapestries<br>
        Added 5 Rugs<br>
        Added 4 Outfits<br>
        Added 1 Hat<br>
        Added 2 Statues<br>
        Added 2 Carvings<br>
        Added 1 Gong<br>
        Added Hemp Leaf drop<br>
        Added Hemp Thread<br>
        Added Hemp Spinning Wheel<br>
        Added Hemp Capes (removed linen capes)<br>
        Updated Lokis Camp<br>
        Removed Hildirs Clothing - (already another plugin that adds Hildirs clothing to a workbench)<br>
    </td>
  </tr>
  <tr>
    <td>1.0.8</td>
    <td>Fixed error when changing config settings</td>
  </tr>
  <tr>
    <td>1.0.7</td>
    <td>Fixed some textures<br>
        Added more config options</td>
  </tr>
  <tr>
    <td>1.0.6</td>
    <td>
        Fixed Liberty Cap not spawning<br>
        Added Loki the Dealer as a new trader
    </td>
  </tr>
  <tr>
    <td>1.0.5</td>
    <td>
        Fixed Plant Colliders<br>
        Fixed Trader Error<br>
        Added Magic Wand<br>
        Added Weed Bundles<br>
        Added Weed Sacks<br>
        Added Banners<br>
        Added Tapestries
    </td>
  </tr>
  <tr>
    <td>1.0.4</td>
    <td>
        Fixed Workbench Icons<br>
        Added Liberty Cap Mushrooms<br>
        Added Mushrooms Brew
    </td>
  </tr>
  <tr>
    <td>1.0.3</td>
    <td>Collider Fixes</td>
  </tr>
  <tr>
    <td>1.0.2</td>
    <td>Update NexusID</td>
  </tr>
  <tr>
    <td>1.0.1</td>
    <td>Thunderstore Test</td>
  </tr>
  <tr>
    <td>1.0.0</td>
    <td>Initial Release</td>
  </tr>
</tbody>
</table>
</details>

<details><summary><strong>Item Recipes</strong></summary>
<br>   
<table>
<thead>
  <tr>
    <th>Item</th>
    <th>Recipie</th>
    <th>Workbench</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td>Magic Wand</td>
    <td>1 x Wood, 1 x Greydwarf Eye</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Hookah Fuel</td>
    <td>1 x PurpleKushBud, 1 x BlueberryPunchBud, 1 x RaspberryCoughBud, 1 x HoneyBadgerBud</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Hemp Rope</td>
    <td>10 x HempThread</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Hemp Cloth</td>
    <td>20 x HempThread</td>
    <td>Loom</td>
  </tr>
  <tr>
    <td>Camp Resources</td>
    <td>8 x Wood, 4 x HempCloth, 5 x HempThread, 1 x HempRope</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Sleeping Bag (Rolled)</td>
    <td>1 x WolfPelt, 4 x LeatherScraps, 2 x HempCloth, 2 x HempThread</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Joint Paper</td>
    <td>1 x HempLeaf</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Joint Badger</td>
    <td>1 x HempLeaf, 1 x HoneyBadgerBud</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Joint Kush</td>
    <td>1 x HempLeaf, 1 x PurpleKushBud</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Joint Punch</td>
    <td>1 x HempLeaf, 1 x BlueberryPunchBud</td>
    <td>None</td>
  </tr>
  <tr>
    <td>JointCough</td>
    <td>1 x HempLeaf, 1 x RaspberryCoughBud</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Mighty Bong (Item)</td>
    <td>2 x Crystal</td>
    <td>Stoner Table</td>
  </tr>
  <tr>
    <td>Cannabis Seeds</td>
    <td>1 x AncientSeed</td>
    <td>Planting Table</td>
  </tr>
  <tr>
    <td>Purple Kush Seeds</td>
    <td>6 x CannabisSeeds, 6 x Blueberries, 6 x Raspberry</td>
    <td>Planting Table</td>
  </tr>
  <tr>
    <td>Blueberry Punch Seeds</td>
    <td>6 x CannabisSeeds, 6 x Blueberries</td>
    <td>Planting Table</td>
  </tr>
  <tr>
    <td>Raspberry Cough Seeds</td>
    <td>6 x CannabisSeeds, 6 x Raspberry</td>
    <td>Planting Table</td>
  </tr>
  <tr>
    <td>Honey Badger Seeds</td>
    <td>6 x CannabisSeeds, 6 x Honey</td>
    <td>Planting Table</td>
  </tr>
  <tr>
    <td>Mushy Brew</td>
    <td>30 x MagicMushrooms</td>
    <td>Cauldron</td>
  </tr>
  <tr>
    <td>Fly Agaraic Mead</td>
    <td>20 x Honey, 20 x FlyagaricMushroom</td>
    <td>Cauldron</td>
  </tr>
  <tr>
    <td>Fly Agaraic Wine</td>
    <td>1 x FlyAgaraicMead</td>
    <td>Fermenter</td>
  </tr>
  <tr>
    <td>Hemp Thread</td>
    <td>1 x HempLeaf</td>
    <td>SpinningWheel</td>
  </tr>
</tbody>
</table>
</details>

<details><summary><strong>Piece Recipes</strong></summary>
<br>   
<table>
<thead>
  <tr>
    <th>Piece</th>
    <th>Recipie</th>
    <th>Workbench</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td>Stoner Workbench</td>
    <td>10 x Wood</td>
    <td>Workbench</td>
  </tr>
  <tr>
    <td>Planting Workbench</td>
    <td>10 x Wood</td>
    <td>Workbench</td>
  </tr>
  <tr>
    <td>Loom Workbench</td>
    <td>10 x Wood</td>
    <td>Workbench</td>
  </tr>
  <tr>
    <td>Dye Workbench</td>
    <td>15 x Wood, 1 x Bronze</td>
    <td>Workbench</td>
  </tr>
  <tr>
    <td>Mighty Bong (Piece)</td>
    <td>5 x Crystal</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Snake Head Hookah</td>
    <td>2 x Silver, 2 x Wood</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Weed Sack Kush</td>
    <td>10 x HempCloth, 20 x PurpleKushBud</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Weed Sack Punch</td>
    <td>10 x HempCloth, 20 x BlueberryPunchBud</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Weed Sack Badger</td>
    <td>10 x HempCloth, 20 x HoneyBadgerBud</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Weed Sack Cough</td>
    <td>10 x HempCloth, 20 x RaspberryCoughBud</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Weed Bundle Kush</td>
    <td>20 x PurpleKushBud</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Weed Bundle Punch</td>
    <td>20 x PurpleKushBud</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Weed Bundle Badger</td>
    <td>20 x PurpleKushBud</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Weed Bundle Cough</td>
    <td>20 x PurpleKushBud</td>
    <td>Stoner Workbench</td>
  </tr>
  <tr>
    <td>Buddha Statue</td>
    <td>10 x Stone</td>
    <td>Stone Cutter</td>
  </tr>
  <tr>
    <td>Elephant Statue</td>
    <td>10 x Stone</td>
    <td>Stone Cutter</td>
  </tr>
  <tr>
    <td>Big Gong</td>
    <td>1 x Iron, 1 x Copper, 4 x Wood</td>
    <td>Forge</td>
  </tr>
  <tr>
    <td>Carving Male</td>
    <td>6 x Wood</td>
    <td>Workbench</td>
  </tr>
  <tr>
    <td>Carving Female</td>
    <td>6 x Wood</td>
    <td>Workbench</td>
  </tr>
  <tr>
    <td>Crystal Lights</td>
    <td>3 x Crystal, 4 x Wood, 1 x HempRope, 1 x Bloodbag, 5 x Dandelion, 1 x Guck</td>
    <td>Stone Cutter</td>
  </tr>
  <tr>
    <td>Crystal Wall Lights</td>
    <td>3 x Crystal, 2 x Wood, 1 x HempRope, 1 x Bloodbag, 5 x Dandelion, 1 x Guck</td>
    <td>Stone Cutter</td>
  </tr>
  <tr>
    <td>Small Tent</td>
    <td>1 x CampResources</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Large Tent</td>
    <td>3 x CampResources</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Sleeping Bag</td>
    <td>1 x SleepingBag (Rolleed)</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Fire Cover</td>
    <td>4 x Wood, 1 x HempCloth</td>
    <td>None</td>
  </tr>
  <tr>
    <td>Hippie Banner 01</td>
    <td>2 x Wood, 1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Banner 02</td>
    <td>2 x Wood, 1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Banner 03</td>
    <td>2 x Wood, 1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Banner 04</td>
    <td>2 x Wood, 1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Banner 05</td>
    <td>2 x Wood, 1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Tapestry 01</td>
    <td>4 x Wood, 2 x HempCloth, 2 x DyeBlack, 2 x DyeRed, 2 x DyeYellow, 2 x DyeGreen, 2 x DyeBlue, 2 x DyePurple, 2 x DyeOrange, 2 x DyeYellow, 2 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Tapestry 02</td>
    <td>4 x Wood, 2 x HempCloth, 2 x DyeBlack, 2 x DyeRed, 2 x DyeYellow, 2 x DyeGreen, 2 x DyeBlue, 2 x DyePurple, 2 x DyeOrange, 2 x DyeYellow, 2 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Tapestry 03</td>
    <td>4 x Wood, 2 x HempCloth, 2 x DyeBlack, 2 x DyeRed, 2 x DyeYellow, 2 x DyeGreen, 2 x DyeBlue, 2 x DyePurple, 2 x DyeOrange, 2 x DyeYellow, 2 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Tapestry 04</td>
    <td>4 x Wood, 2 x HempCloth, 2 x DyeBlack, 2 x DyeRed, 2 x DyeYellow, 2 x DyeGreen, 2 x DyeBlue, 2 x DyePurple, 2 x DyeOrange, 2 x DyeYellow, 2 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Tapestry 05</td>
    <td>4 x Wood, 2 x HempCloth, 2 x DyeBlack, 2 x DyeRed, 2 x DyeYellow, 2 x DyeGreen, 2 x DyeBlue, 2 x DyePurple, 2 x DyeOrange, 2 x DyeYellow, 2 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Rug 01</td>
    <td>2 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Rug 02</td>
    <td>2 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Rug 03</td>
    <td>2 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Rug 04</td>
    <td>2 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hippie Rug 05</td>
    <td>2 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
</tbody>
</table>
</details>

<details><summary><strong>Clothing Recipes</strong></summary>
<br>  
<table>
<thead>
  <tr>
    <th>Clothing</th>
    <th>Recipie</th>
    <th>Workbench</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td>Dye Black</td>
    <td>5 x Coal</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Dye Blue</td>
    <td>5 x Blueberries</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Dye Green</td>
    <td>5 x Blueberries, 5 x Dandelion</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Dye Orange</td>
    <td>5 x Blueberries, 5 x Dandelion, 5 x Raspberry</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Dye Purple</td>
    <td>5 x Blueberries, 5 x Raspberry</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Dye Red</td>
    <td>5 x Raspberry</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Dye White</td>
    <td>1 x BoneFragments</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Dye Yellow</td>
    <td>5 x Dandelion</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Rasta Pants 01</td>
    <td>1 x HempCloth, 2 x DyeBlack, 1 x DyeGreen</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Rasta Pants 02</td>
    <td>1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Rasta Pants 03</td>
    <td>1 x HempCloth, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Rasta Pants 04</td>
    <td>1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Rasta Top 01</td>
    <td>1 x HempCloth, 2 x DyeBlack, 1 x DyeGreen</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Rasta Top 02</td>
    <td>1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Rasta Top 03</td>
    <td>1 x HempCloth, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Rasta Top 04</td>
    <td>1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hat 01</td>
    <td>1 x HempCloth, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hat 02</td>
    <td>1 x HempCloth, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlack</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hat 03</td>
    <td>1 x HempCloth, 1 x DyeBlack, 1 x DyeYellow, 1 x DyeGreen, 1 x DyePurple</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hat 04</td>
    <td>1 x HempCloth, 2 x DyeBlack</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hat 05</td>
    <td>1 x HempCloth, 1 x DyeBlack, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlue, 1 x DyePurple, 1 x DyeOrange, 1 x DyeYellow, 1 x DyeWhite</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hat 06</td>
    <td>1 x HempCloth, 1 x DyeRed, 1 x DyeYellow, 1 x DyeGreen, 1 x DyeBlack</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hemp Capes</td>
    <td>1 x HempCloth, 1 x Silver</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hemp Armor Legs</td>
    <td>1 x HempCloth, 2 x HempThread, 5 x ScaleHide</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hemp Armor Chest</td>
    <td>1 x HempCloth, 2 x HempThread, 5 x ScaleHide</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hemp Armor Cape</td>
    <td>1 x HempCloth, 2 x HempThread, 10 x HempLeaf, 5 x ScaleHide</td>
    <td>Dye Workbench</td>
  </tr>
  <tr>
    <td>Hemp Armor Helmet</td>
    <td>2 x HempThread, 10 x HempLeaf</td>
    <td>Dye Workbench</td>
  </tr>
</tbody>
</table> 
</details>

